org.apache.poi.sl.draw.binding

## Class CTSphereCoords

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTSphereCoords

-     public class CTSphereCoords
      extends java.lang.Object

  Java class for CT_SphereCoords complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_SphereCoords">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="lat" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_PositiveFixedAngle" />
             <attribute name="lon" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_PositiveFixedAngle" />
             <attribute name="rev" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_PositiveFixedAngle" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `lat`
    `protected int` | `lon`
    `protected int` | `rev`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTSphereCoords()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLat()` Gets the value of the lat property.
    `int` | `getLon()` Gets the value of the lon property.
    `int` | `getRev()` Gets the value of the rev property.
    `boolean` | `isSetLat()`
    `boolean` | `isSetLon()`
    `boolean` | `isSetRev()`
    `void` | `setLat(int value)` Sets the value of the lat property.
    `void` | `setLon(int value)` Sets the value of the lon property.
    `void` | `setRev(int value)` Sets the value of the rev property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### lat

          protected int lat

    - #### lon

          protected int lon

    - #### rev

          protected int rev

  - ### Constructor Detail

    - #### CTSphereCoords

          public CTSphereCoords()

  - ### Method Detail

    - #### getLat

          public int getLat()

      Gets the value of the lat property.

    - #### setLat

          public void setLat(int value)

      Sets the value of the lat property.

    - #### isSetLat

          public boolean isSetLat()

    - #### getLon

          public int getLon()

      Gets the value of the lon property.

    - #### setLon

          public void setLon(int value)

      Sets the value of the lon property.

    - #### isSetLon

          public boolean isSetLon()

    - #### getRev

          public int getRev()

      Gets the value of the rev property.

    - #### setRev

          public void setRev(int value)

      Sets the value of the rev property.

    - #### isSetRev

          public boolean isSetRev()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.